<?php
require_once ('system/func.php');
auth();
access(2);
$title = 'Проверка реффералов';
require_once ('system/header.php');
if(isset($_REQUEST['search_nick'])){
$login = text($_POST['login']);
if(empty($login)){
$_SESSION['msg'] = 'Введите логин';
header("Location: ?");
exit();
}else{
$sql = mysql_fetch_array(mysql_query("SELECT * FROM `users` WHERE `login` = '".mysql_real_escape_string($login)."' LIMIT 1"));if(!$sql){
$_SESSION['msg'] = 'Такого игрока не существует!';
header('Location: ?');
exit();
}
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `users` WHERE `id_partner` = '$sql[id]' AND `ip` != '$sql[ip]' "),0);
$_SESSION['msg'] = "Игрок  $sql[login]<br>Реффералов: $k_post<br>Мульты не в счёт";
header('Location: ?');
exit();
}
}
echo "<div class='block center'>";
echo '<form action="?search" method="post">';
echo 'Логин игрока:<br><input class="center" type="text" name="login" maxlength="50" value="" /><br/>';
echo '<input type="submit" name="search_nick" class="btn" value="Найти профиль">';
echo '</form>';
echo "</div>";
require_once ('system/footer.php');
?>
